GET /v1/Events

twilio.com:twilio_monitor_v1

Summary:
Operation ID: ListEvent
Auth: unknown
Description

Returns a list of events in the account, sorted by event-date.

Parameters (9)

ActorSid (string, query, optional)

Only include events initiated by this Actor. Useful for auditing actions taken by specific users or API credentials.

Constraints: {'minLength': 34, 'maxLength': 34, 'pattern': '^US[0-9a-fA-F]{32}$'}

EndDate (string, query, optional)

Only include events that occurred on or before this date. Specify the date in GMT and [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.

EventType (string, query, optional)

Only include events of this [Event Type](https://www.twilio.com/docs/usage/monitor-events#event-types).

Page (integer, query, optional)

The page index. This value is simply for client state.

Constraints: {'minimum': 0}

PageSize (integer, query, optional)

How many resources to return in each list page. The default is 50, and the maximum is 1000.

Constraints: {'minimum': 1, 'maximum': 1000}

PageToken (string, query, optional)

The page token. This is provided by the API.

ResourceSid (string, query, optional)

Only include events that refer to this resource. Useful for discovering the history of a specific resource.

Constraints: {'minLength': 34, 'maxLength': 34, 'pattern': '^[a-zA-Z]{2}[0-9a-fA-F]{32}$'}

SourceIpAddress (string, query, optional)

Only include events that originated from this IP address. Useful for tracking suspicious activity originating from the API or the Twilio Console.

StartDate (string, query, optional)

Only include events that occurred on or after this date. Specify the date in GMT and [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.

No probe data for this endpoint yet.